Subject: RE: Tcl exposes problem with cygwin/echo?
From: "McCunney, Dennis" <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 14 Jul 1999 17:31:25 -0400

> -----Original Message-----
> From: Mumit Khan [mailto:[email-masked]]
> Sent: Wednesday, July 14, 1999 3:38 PM
> To: Dr. Volker Zell
> Cc: McCunney, Dennis; 'Mike Kuhl'; Cygwin Mailing list (E-mail)
> Subject: Re: Tcl exposes problem with cygwin/echo?
> 
> On 14 Jul 1999, Dr. Volker Zell wrote:
> 
> > I recompiled tcl from the Cygwin distribution as a X11 app by
> > undefining __WIN32__
> > In my case I get:
> > 
> > vzell:/tmp> tclsh
> > % set test {"This is a test."}
> > "This is a test."
> > % exec echo $test
> > "This is a test."
> 
> The win32/Cygwin port of Tcl/Tk has lots of these subtle (and not so
> subtle) problems. And, these problem won't go away until someone goes
> in and fixes them. Unfortunately, a "real" Cygwin port is a lot of work
> and chances are that we'll simply slowly patch the current code to
> behave better under Cygwin. Cygwin Tcl/Tk "exec" is full of holes 
> currently.
> 
> Regards,
> Mumit

That was roughly what I thought.  Since I have a working Win32 port of the
Tcl-Tk  8.0 from other sources, I'll just bypass the Cygwin version for any
Win32 Tcl-Tk stuff I need to do.  Bottom line: it's a Cygwin bug, and not
something the users are doing wrong.

Thanks for the confirmation.

______
Dennis

--
Want to unsubscribe from this list?
Send a message to [email-masked]